Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class InvalidValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.verisign.epp.exception.EPPException
                  com.verisign.epp.codec.gen.EPPCodecException
                      com.verisign.epp.codec.gen.EPPDecodeException
                          com.verisign.epp.codec.suggestion.util.InvalidValueException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidValueException

extends EPPDecodeException

Exception class to indicate that the incoming Epp uses an invalid value.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCodecException
`MISSINGPARAMETER, VALUE_MISSINGPARAMETER, VALUE_UNDEFINED`

Constructor Summary
`InvalidValueException(long aValue)` Constructor.
`InvalidValueException(java.lang.Object aValue)` Constructor.

Method Summary

Methods inherited from class com.verisign.epp.codec.gen.EPPCodecException
`equals, getValue`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidValueException

    public InvalidValueException(java.lang.Object aValue)

  Constructor.

  Parameters:
    `aValue` - an invalid value

### InvalidValueException

    public InvalidValueException(long aValue)

  Constructor.

  Parameters:
    `aValue` - an invalid value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.